<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Inf Name: PW Edytor
| Filename: pw_edytor.php
| Version: 1.00
| Author: Creeper
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";

if (!iMEMBER) { redirect(BASEDIR."index.php"); }

include_once INCLUDES."infusions_include.php";

$pw_edit_set = get_settings("pw_edytor");

if (file_exists(INFUSIONS."pw_edytor/locale/".$settings['locale'].".php")) {
	include INFUSIONS."pw_edytor/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."pw_edytor/locale/English.php";
}

if ($pw_edit_set['enable_edit'] == 1 && (isset($_GET['action']) && $_GET['action'] == "edit" && isset($_GET['msg_id']) && isnum($_GET['msg_id']))) {
	if (isset($_POST['save_msg'])) {
		$result = dbquery("SELECT message_to, message_from, message_subject, message_message, message_read, message_datestamp FROM ".DB_MESSAGES." WHERE message_id='".$_GET['msg_id']."'");
		if (dbrows($result) != 0) {
			$data = dbarray($result);
			
			$msg_title = stripinput(trim($_POST['msg_title']));
			$msg_message = stripinput(trim($_POST['msg_message']));
			
			if (!empty($msg_title) || !empty($msg_message)) {
				if ($data['message_read'] == 0) {
					$result = dbquery("UPDATE ".DB_MESSAGES." SET message_subject='".$msg_title."', message_message='".$msg_message."' WHERE message_from='".$data['message_to']."' AND message_to='".$data['message_from']."' AND message_subject='".$data['message_subject']."' AND message_message='".$data['message_message']."' AND message_datestamp='".$data['message_datestamp']."' AND message_folder='1'");
					$result = dbquery("UPDATE ".DB_MESSAGES." SET message_subject='".$msg_title."', message_message='".$msg_message."' WHERE message_id='".$_GET['msg_id']."'");
					
					redirect(INFUSIONS."pw_edytor/error.php?error=msg_updated");
				} else {
					redirect(INFUSIONS."pw_edytor/error.php?error=msg_read");
				}
			} else {
				redirect(INFUSIONS."pw_edytor/error.php?error=msg_empty");
			}
		} else {
			redirect(INFUSIONS."pw_edytor/error.php?error=msg_no_exists");
		}
	} else {
		include_once INCLUDES."bbcode_include.php";

		$result = dbquery("SELECT message_subject, message_message FROM ".DB_MESSAGES." WHERE message_id='".$_GET['msg_id']."'");
		if (dbrows($result) != 0) {
			$data = dbarray($result);
			
			opentable($locale['pwe_edit_title']);
			echo "<form name='msgedit' method='post' action='".FUSION_SELF.$aidlink."&amp;action=edit&amp;msg_id=".$_GET['msg_id']."'>\n";
			echo "<table cellpadding='0' cellspacing='0' width='400' class='center'>\n<tr>\n";
			echo "<td class='tbl'>".$locale['pwe_msg_subject']."<br />\n";
			echo "<input type='text' name='msg_title' value='".$data['message_subject']."' class='textbox' style='width:200px;' /></td>\n";
			echo "</tr>\n<tr>\n";
			echo "<td class='tbl'>".$locale['pwe_edit_msg']."<br />\n";
			echo "<textarea type='text' name='msg_message' cols='70' rows='4' class='textbox' style='320px'>".$data['message_message']."</textarea><br />\n";
			echo display_bbcodes("450px;", "msg_message", "msgedit")."</td>\n";
			echo "</tr>\n<tr>\n";
			echo "<td align='center' class='tbl'>\n";
			echo "<input type='submit' name='save_msg' value='".$locale['pwe_edit_save']."' class='button' /></td>\n";
			echo "</tr>\n</table>\n</form>\n";
			closetable();
		}
	}
} elseif ($pw_edit_set['enable_back'] == 1 && (isset($_GET['action']) && $_GET['action'] == "back" && isset($_GET['msg_id']) && isnum($_GET['msg_id']))) {
	$result = dbquery("SELECT message_id, message_to, message_from, message_subject, message_message, message_read, message_datestamp FROM ".DB_MESSAGES." WHERE message_id='".$_GET['msg_id']."'");
	if (dbrows($result) != 0) {
		$data = dbarray($result);
		
		if ($data['message_read'] == 0) {
			$result = dbquery("DELETE FROM ".DB_MESSAGES." WHERE message_from='".$data['message_to']."' AND message_to='".$data['message_from']."' AND message_subject='".$data['message_subject']."' AND message_message='".$data['message_message']."' AND message_datestamp='".$data['message_datestamp']."' AND message_folder='1'");
			$result = dbquery("DELETE FROM ".DB_MESSAGES." WHERE message_id='".$data['message_id']."'");
			redirect(INFUSIONS."pw_edytor/error.php?error=msg_back");
		} else {
			redirect(INFUSIONS."pw_edytor/error.php?error=msg_read");
		}
	} else {
		redirect(INFUSIONS."pw_edytor/error.php?error=msg_no_exists");
	}
} else {
	opentable($locale['pwe_page_title']);
	echo "<table width='500' cellspacing='1' cellpadding='0' class='tbl-border center'>\n";
	$result = dbquery(
		"SELECT m.message_id, m.message_to, m.message_subject, m.message_datestamp, u.user_id, u.user_name, u.user_status
		FROM ".DB_MESSAGES." m
		LEFT JOIN ".DB_USERS." u ON m.message_to = u.user_id
		WHERE message_read='0' AND message_folder='0' AND message_from='".$userdata['user_id']."'"
	);
	if (dbrows($result) != 0) {
		$i = 0;
		echo "<tr>\n";
		echo "<td class='tbl2'>".$locale['pwe_msg_subject']."</td>\n";
		echo "<td align='center' width='1%' class='tbl2' style='white-space:nowrap'>".$locale['pwe_msg_to']."</td>\n";
		echo "<td align='center' width='1%' class='tbl2' style='white-space:nowrap'>".$locale['pwe_msg_date']."</td>\n";
		echo "<td align='center' width='1%' class='tbl2' style='white-space:nowrap'>".$locale['pwe_msg_options']."</td>\n";
		echo "</tr>\n";
		while ($data = dbarray($result)) {
			$cell_color = ($i % 2 == 0 ? "tbl1" : "tbl2");
			echo "<tr>\n";
			echo "<td class='".$cell_color."'>".$data['message_subject']."</td>\n";
			echo "<td align='center' width='1%' class='".$cell_color."' style='white-space:nowrap'>".profile_link($data['user_id'], $data['user_name'], $data['user_status'])."</td>\n";
			echo "<td align='center' width='1%' class='".$cell_color."' style='white-space:nowrap'>".showdate("longdate", $data['message_datestamp'])."</td>\n";
			echo "<td align='center' width='1%' class='".$cell_color."' style='white-space:nowrap'>";
			if ($pw_edit_set['enable_edit'] == 1) {
				echo "<a href='".FUSION_SELF.$aidlink."&amp;action=edit&amp;msg_id=".$data['message_id']."'>".$locale['pwe_msg_edit']."</a> ".($pw_edit_set['enable_back'] == 1 ? "-" : "")."\n";
			}
			if ($pw_edit_set['enable_back'] == 1) {
				echo "<a href='".FUSION_SELF.$aidlink."&amp;action=back&amp;msg_id=".$data['message_id']."' onclick=\"return confirm('".$locale['pwe_msg_back_info']."');\">".$locale['pwe_msg_back']."</a>";
			}
			echo "</td>\n";
			echo "</tr>\n";
			$i++;
		}
		echo "</table>\n";
	} else {
		echo "<tr><td align='center' class='tbl1'>".$locale['pwe_msg_none']."</td></tr>\n</table>\n";
	}
	closetable();
}

require_once THEMES."templates/footer.php";
?>