<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Inf Name: PW Edytor
| Filename: pw_edytor_admin.php
| Version: 1.00
| Author: Creeper
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";

include INCLUDES."infusions_include.php";

if (!checkrights("PWE") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

if (file_exists(INFUSIONS."pw_edytor/locale/".$settings['locale'].".php")) {
	include INFUSIONS."pw_edytor/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."pw_edytor/locale/English.php";
}

if (isset($_GET['error']) && $_GET['error'] == "saved" && !isset($message)) {
	$message = $locale['pwe_save_msg'];
	
	if (isset($message)) {
		echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n";
	}
}

if (isset($_POST['savesettings'])) {
	if (isset($_POST['enable_edit']) && ($_POST['enable_edit'] == 1 || $_POST['enable_edit'] == 0)) {
		$setting = set_setting("enable_edit", $_POST['enable_edit'], "pw_edytor");
	}
	if (isset($_POST['enable_back']) && ($_POST['enable_back'] == 1 || $_POST['enable_back'] == 0)) {
		$setting = set_setting("enable_back", $_POST['enable_back'], "pw_edytor");
	}
	
	redirect(FUSION_SELF.$aidlink."&amp;error=saved");
}

$pw_edit_set = get_settings("pw_edytor");

opentable($locale['pwe_admin_title']);
echo "<form name='settingsform' method='post' action='".FUSION_SELF.$aidlink."'>\n";
echo "<table cellpadding='0' cellspacing='0' width='500' class='center'>\n<tr>\n";
echo "<td width='50%' class='tbl'>".$locale['pwe_enable_edit']."</td>\n";
echo "<td width='50%' class='tbl'><select name='enable_edit' class='textbox'>\n";
echo "<option value='1'".($pw_edit_set['enable_edit'] == "1" ? " selected='selected'" : "").">".$locale['pwe_option_yes']."</option>\n";
echo "<option value='0'".($pw_edit_set['enable_edit'] == "0" ? " selected='selected'" : "").">".$locale['pwe_option_no']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='50%' class='tbl'>".$locale['pwe_enable_back']."</td>\n";
echo "<td width='50%' class='tbl'><select name='enable_back' class='textbox'>\n";
echo "<option value='1'".($pw_edit_set['enable_back'] == "1" ? " selected='selected'" : "").">".$locale['pwe_option_yes']."</option>\n";
echo "<option value='0'".($pw_edit_set['enable_back'] == "0" ? " selected='selected'" : "").">".$locale['pwe_option_no']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";
echo "<td align='center' colspan='2' class='tbl'><br />\n";
echo "<input type='submit' name='savesettings' value='".$locale['pwe_save_button']."' class='button' /></td>\n";
echo "</tr>\n</table>\n</form>\n";
closetable();

require_once THEMES."templates/footer.php";
?>