<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Inf Name: PW Edytor
| Filename: error.php
| Version: 1.00
| Author: Creeper
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";

if (file_exists(INFUSIONS."pw_edytor/locale/".$settings['locale'].".php")) {
	include INFUSIONS."pw_edytor/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."pw_edytor/locale/English.php";
}

if (isset($_GET['error']) && $_GET['error'] == "msg_updated") {
	opentable($locale['pwe_error_title']);
	echo "<div align='center'><span style='color:green;'>".$locale['pwe_error_updated']."</span></div>";
	closetable();
} elseif (isset($_GET['error']) && $_GET['error'] == "msg_back") {
	opentable($locale['pwe_error_title']);
	echo "<div align='center'><span style='color:green;'>".$locale['pwe_error_deleted']."</span></div>";
	closetable();
} elseif (isset($_GET['error']) && $_GET['error'] == "msg_read") {
	opentable($locale['pwe_error_title']);
	echo "<div align='center'><span style='color:red;'>".$locale['pwe_error_read']."</span></div>";
	closetable();
} elseif (isset($_GET['error']) && $_GET['error'] == "msg_empty") {
	opentable($locale['pwe_error_title']);
	echo "<div align='center'><span style='color:red;'>".$locale['pwe_error_empty']."</span></div>";
	closetable();
} elseif (isset($_GET['error']) && $_GET['error'] == "msg_no_exists") {
	opentable($locale['pwe_error_title']);
	echo "<div align='center'><span style='color:red;'>".$locale['pwe_error_no_exists']."</span></div>";
	closetable();
} else {
	redirect(INFUSIONS."pw_edytor/pw_edytor.php");
}

require_once THEMES."templates/footer.php";
?>